import type { ListCache } from "element-plus";

type SchemaDataItem = {
  id: string;
  name: string;
  category: string; 
  old_name: string;
  old_category: string;
  action: string;
  editable: boolean;
  is_new: boolean;
  props: SchemaDataItem[];
}
type SchemaData = {
  entities: SchemaDataItem[];
  relations: SchemaDataItem[];

}

type ViewSchemaData = {
  id: number
  name: string
  category: string
  content: string
  data: SchemaData
}

type ViewCategoryData = {
 name: string
 std_name:string
 type:string 
}

type NodesData = {
  id: number
  name: string
  category: string
}

type EdgeData = {
  id: number
  name: string
  category: string
  src_id: number
  dest_id:number
}

type ContradictionData = {
  count: number
  edges: EdgeData[]
  src_id: number
  src_name: string
  src_category: string
  dest_id: number
  dest_name: string
  dest_category: string
}
export {type SchemaData, 
  type ViewSchemaData, 
  type ViewCategoryData,
  type NodesData,
  type EdgeData,
  type ContradictionData,}